Update Entity
curl --request PATCH \
--url https://api.antei.com/entities/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"country": "<string>",
"tax_id": "<string>"
}
'import requests
url = "https://api.antei.com/entities/{id}"
payload = {
"name": "<string>",
"country": "<string>",
"tax_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', country: '<string>', tax_id: '<string>'})
};
fetch('https://api.antei.com/entities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"country": "<string>",
"tax_id": "<string>",
"is_primary": true
}Entities
Update Entity
Update an existing subsidiary entity
PATCH
/
entities
/
{id}
Update Entity
This endpoint allows you to update a subsidiary entity.
Note: You cannot update your primary entity via API for compliance and data consistency reasons. If you need to update the primary entity, please contact support.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Fields to update for the entity
⌘I